Name:           metapost-metauml
Version:        0.2.5
Release:        4%{?dist}
Summary:        UML in LaTeX/MetaPost

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://metauml.sourceforge.net/

Source0:        http://downloads.sourceforge.net/metauml/metauml_lib_0.2.5.tgz
Source1:        http://downloads.sourceforge.net/metauml/metauml_manual_0.2.5.pdf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  texlive
BuildRequires:  sed
Requires:       texlive

%description
MetaUML is a MetaPost library for typesetting UML diagrams.
Class, activity, use case, state machine, and package diagrams
are supported.

%prep
%setup -q -c
cp -p %{SOURCE1} ./metauml_manual_0.2.5.pdf
pushd metauml_lib/thrunk
for file in *.mp; do
    sed -i -e 's/\r//' $file;
done;
popd


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_texmf_main}/metapost/metauml
install -m 644 -p metauml_lib/thrunk/*.mp %{buildroot}/%{_texmf_main}/metapost/metauml


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc metauml_lib/thrunk/License metauml_lib/thrunk/version.txt
%doc metauml_manual_0.2.5.pdf
%{_texmf_main}/metapost/metauml


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Ben Boeckel <MathStuf@gmail.com> 0.2.5-3
- Fixed up URLs

* Sat Dec 06 2008 Ben Boeckel <MathStuf@gmail.com> 0.2.5-2
- Fixing things

* Sat Dec 06 2008 Ben Boeckel <MathStuf@gmail.com> 0.2.5-1
- Initial package
